POST /api/fleet/epm/packages/{pkgName}

Spaces method and path for this operation:

post /s/{space_id}/api/fleet/epm/packages/{pkgName}

Refer to Spaces for more information.

Install the latest version of a package from the Elastic Package Registry.

[Required authorization] Route required privileges: integrations-all AND fleet-agent-policies-all.

Headers

  • kbn-xsrf string Required

    A required header to protect against CSRF attacks

Path parameters

  • pkgName string Required

Query parameters

  • prerelease boolean
  • ignoreMappingUpdateErrors boolean

    Default value is false.

  • skipDataStreamRollover boolean

    Default value is false.

  • skipDependencyCheck boolean

    Skip dependency validation when installing a package with dependencies

    Default value is false.

application/json

Body

  • force boolean

    Default value is false.

  • ignore_constraints boolean

    Default value is false.

Responses

  • 200 application/json

    Successful response

    Hide response attributes Show response attributes object
    • _meta object Required

      Additional properties are NOT allowed.

      Hide _meta attributes Show _meta attributes object
      • install_source string Required
      • name string Required
    • items array[object] Required

      Not more than 10000 elements.

      Any of:
  • 400 application/json

    Bad Request

    Hide response attributes Show response attributes object
    • attributes Required
    • error string
    • errorType string
    • message string Required
    • statusCode number
POST /api/fleet/epm/packages/{pkgName}
curl \
 --request POST 'https://<KIBANA_URL>/api/fleet/epm/packages/{pkgName}' \
 --header "Authorization: $API_KEY" \
 --header "Content-Type: application/json" \
 --header "kbn-xsrf: true" \
 --data '{"ignore_constraints":false}'
Request example
Install a package, optionally ignoring constraints
{
  "ignore_constraints": false
}
Response examples (200)
Package successfully installed
{
  "_meta": {
    "install_source": "registry"
  },
  "items": [
    {
      "id": "aws-logs-aws.cloudwatch_logs-default",
      "type": "index_template"
    }
  ]
}
Response examples (400)
Example of a generic error response
{
  "error": "Bad Request",
  "message": "An error message describing what went wrong",
  "statusCode": 400
}